Name:           freemedforms
Version:        0.5.9
Release:        0.1.alpha1%{?dist}
Summary:        An open Electronic Medical Record Manager

License:        GPLv3+ and LGPLv2
URL:            http://www.freemedforms.com
Source0:        http://freemedforms.googlecode.com/files/freemedformsfullsources-0.5.9~alpha1.tgz

# remove quazip from the project files
Patch0:         %{name}-remove-quazip.patch

BuildRequires:  qt-devel libXext-devel qt-mysql 
BuildRequires:  desktop-file-utils
BuildRequires:  quazip-devel libzip-devel
BuildRequires:  minizip-devel 
BuildRequires:  zlib-devel 
Requires:       %{name}-devel

%description
FreeMedForms aims to be a open Electronic Medical Record Manager.
FreeMedForms is also a lot of derivatives sub-project, which are
just standalone compilation of FreeMedForms plugins.

This project is a free and open source project. A community grows up
around it. FreeMedForms and derivatives is released under the terms
of the new BSD License. Some parts of the code are LGPL v2.1.

FreeMedForms and Derivatives are coded in C++/Qt4.4.3 at least.
FreeMedForms and Derivatives are available for :
- MacOs X universal
- Linux : Ubuntu, Debian, OpenSuse, standalone binary
- FreeBSD : need compilation of SVN trunk (please contact author)
- Windows

%package devel
Summary:        Development files for %{name}
Group:          Applications/Databases

Requires:       %{name} = %{version}

%description devel
This is the devel Package for %{name}

%prep
%setup -q -n %{name}-%{version}~alpha1
%patch0 -p0 -b .removes_quazip_from_qmake_project_files

# contrib/quazip is the location of the bundled quazip library
# delete everything other than the modified global.h and global.cpp files
find ./contrib/  ! -name "global.*" ! -name "exporter.h" -exec rm -fv '{}' \;

# add the directory to include path, it looks for unzip.h and fails otherwise
sed -i 's|\(INCLUDEPATH += $${PWD}/plugins $${PWD}/libs\)|\1 %{_includedir}/minizip/ |' config.pri
sed -i '/DEPENDPATH += $${PWD}\/plugins $${PWD}\/libs/d' config.pri 

# correct include : could've used a patch too I guess
sed -i 's|#include <quazip/quazip/quazipfile.h>|#include <quazip/quazipfile.h>|' plugins/saverestoreplugin/saverestorepage.cpp

%build
export PATH=$PATH:/usr/%{_lib}/qt4/bin/

lrelease global_resources/translations/*.ts 
qmake freemedforms.pro -r -config release "CONFIG+=LINUX_INTEGRATED" "INSTALL_ROOT_PATH=$RPM_BUILD_ROOT%{_prefix}" "LOWERED_APPNAME=freemedforms" "LIBRARY_BASENAME=%{_lib}"
# fails with j4, upstream said use j1
make -j1 


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

chmod -v 0755 $RPM_BUILD_ROOT/%{_libdir}/freemedforms/*.so*
# internal libraries, let rpath be
#chrpath --delete $RPM_BUILD_ROOT/%{_libdir}/FreeMedForms/*.so*
#chrpath --delete $RPM_BUILD_ROOT/%{_bindir}/FreeMedForms

# fix up desktop file
sed -r -i "s/Categories=Office;MedicalSoftware/Categories=Office;/" ${RPM_BUILD_ROOT}%{_datadir}/applications/FreeMedForms.desktop
sed -r -i "/Version/d" ${RPM_BUILD_ROOT}%{_datadir}/applications/FreeMedForms.desktop
# validate desktop file
desktop-file-validate \
${RPM_BUILD_ROOT}%{_datadir}/applications/FreeMedForms.desktop

%files
%defattr(-,root,root,-)
%doc COPYING.txt INSTALL README.txt
%{_datadir}/freemedforms/
%{_bindir}/FreeMedForms
%dir %{_libdir}/freemedforms
%{_libdir}/freemedforms/*so.*
%{_libdir}/freemedforms/*pluginspec
%{_datadir}/applications/FreeMedForms.desktop
%{_datadir}/pixmaps/freemedforms.svg

%files devel
%defattr(-,root,root,-)
%{_libdir}/freemedforms/*.so

%changelog
* Wed Jun 15 2011 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.5.9-0.1alpha1
- Let rpath be
- Corrections as Eric suggested at https://bugzilla.redhat.com/show_bug.cgi?id=707002#c2

* Sat May 28 2011 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.5.9-0.1alpha1
- Used chrpath to remove rpath additions
- Initial rpm build
- Based on the spec used for OpenSUSE maintained by Sascha Manns.

